Loading...
Searching...
No Matches
config.hpp File Reference

## Description

Provides macros describing the mongocxx (v_noabi) library configuration.

Includes
  - mongocxx/v1/config/config.hpp

Go to the source code of this file.

## Macros

#define | MONGOCXX_ABI_EXPORT_CDECL_UNSTABLE(...)
| Equivalent to MONGOCXX_ABI_EXPORT_UNSTABLE with MONGOCXX_ABI_CDECL.
#define | MONGOCXX_ABI_EXPORT_UNSTABLE
| Exports the associated entity as part of the unstable ABI.
#define | MONGOCXX_ENABLE_UNSTABLE_ABI
| Controls whether unstable ABI symbols are exported by the shared library.

## Macro Definition Documentation

## MONGOCXX_ABI_EXPORT_CDECL_UNSTABLE

#define MONGOCXX_ABI_EXPORT_CDECL_UNSTABLE | ( |  | ... | ) |

Equivalent to MONGOCXX_ABI_EXPORT_UNSTABLE with MONGOCXX_ABI_CDECL.

Warning
  For internal use only!

## MONGOCXX_ABI_EXPORT_UNSTABLE

#define MONGOCXX_ABI_EXPORT_UNSTABLE

Exports the associated entity as part of the unstable ABI.

Warning
  For internal use only!

## MONGOCXX_ENABLE_UNSTABLE_ABI

#define MONGOCXX_ENABLE_UNSTABLE_ABI

Controls whether unstable ABI symbols are exported by the shared library.

Warning
  For internal use only!